Subject: bug#52302: 28.0.50; [PATCH] Overlay strings should not increment vpos

From: dick <[email-masked]>
Date: Sun, 05 Dec 2021 17:10:05 -0500

> Are you using "invisible" here as in "text with the invisible
> property"?

Good question.  I'm also annoyed when comments use "invisible"
interchangeably.  I have come to refer to display prop strings as
"unvisible," so my bad.

> I see just one call to move_it_vertically_backward, not "as many as".

Two:

move_it_vertically (&it, unit - bottom_y); // unit - bottom_y is zero
move_it_by_lines (&it, 0); // that's the second one

> And the overall motivation is also not clear -- is it just to save us
> one call to move_it_vertically_backward?

I want to live in an xdisp world where calling move_it_vertically_backward(0)
once gets me to line start without exception.